/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG09_Tarea;

import java.beans.PropertyVetoException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import negocio.CuentaAhorroClass;
import negocio.CuentaCorrienteEmpresaClass;
import negocio.CuentaCorrientePersonalClass;
import negocio.UtilClass;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public final class VistaDatosCuenta extends javax.swing.JInternalFrame {

    UtilClass util;
    CuentaAhorroClass cuentaAhorro;
    CuentaCorrientePersonalClass ccPersonal;
    CuentaCorrienteEmpresaClass ccEmpresa;
    Object cuentaBuscada;

    //constantes generales de tipo de cuentas    
    static private final String CUENTA_AHORRO = "CUENTA_AHORRO";
    static private final String CUENTA_CORRIENTE_PERSONAL = "CUENTA_CORRIENTE_PERSONAL";
    static private final String CUENTA_CORRIENTE_EMPRESA = "CUENTA_CORRIENTE_EMPRESA";
    static private String tipoCuentaSeleccionada;

//    String numCuenta;
    /**
     * Creates new form VistaDatosCuenta
     */
    public VistaDatosCuenta() {
        initComponents();
        showInicial();

    }

    public void showInicial() {
        jPanelDatosTitular.setVisible(false);
        jPanelTipos.setVisible(false);
        this.setSize(355, 150);//dimension inicial impuesta
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelTipos = new javax.swing.JPanel();
        jPanelCAhorro = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jTextFieldTIAnual = new javax.swing.JTextField();
        jPanelCCPersonal = new javax.swing.JPanel();
        jLabel8 = new javax.swing.JLabel();
        jTextFieldTIMantenimiento = new javax.swing.JTextField();
        jPanelCCEmpresa = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        jTextFieldInteresDescubierto = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jTextFieldMaximoDescubierto = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jTextFieldComisionDescubierto = new javax.swing.JTextField();
        jPanelDatosTitular = new javax.swing.JPanel();
        jTextFieldSaldoInicial = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jTextFieldFnacimiento = new javax.swing.JTextField();
        jTextFieldDni = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldApellidos = new javax.swing.JTextField();
        jTextFieldNombre = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jTextFieldNCuenta = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jButtonBuscarCuenta = new javax.swing.JButton();
        jButtoncancelar = new javax.swing.JButton();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);

        jPanelCAhorro.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel7.setText("Tipo Interes Anual :");

        jTextFieldTIAnual.setEditable(false);

        javax.swing.GroupLayout jPanelCAhorroLayout = new javax.swing.GroupLayout(jPanelCAhorro);
        jPanelCAhorro.setLayout(jPanelCAhorroLayout);
        jPanelCAhorroLayout.setHorizontalGroup(
            jPanelCAhorroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCAhorroLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel7)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jTextFieldTIAnual, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanelCAhorroLayout.setVerticalGroup(
            jPanelCAhorroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCAhorroLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCAhorroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jTextFieldTIAnual, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanelCCPersonal.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel8.setText("Tipo Interes de mantenimiento :");

        jTextFieldTIMantenimiento.setEditable(false);

        javax.swing.GroupLayout jPanelCCPersonalLayout = new javax.swing.GroupLayout(jPanelCCPersonal);
        jPanelCCPersonal.setLayout(jPanelCCPersonalLayout);
        jPanelCCPersonalLayout.setHorizontalGroup(
            jPanelCCPersonalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCCPersonalLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jTextFieldTIMantenimiento, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanelCCPersonalLayout.setVerticalGroup(
            jPanelCCPersonalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCCPersonalLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCCPersonalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jTextFieldTIMantenimiento, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanelCCEmpresa.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel9.setText("Tipo Interes por descubierto :");

        jTextFieldInteresDescubierto.setEditable(false);

        jLabel10.setText("Maximo descubierto permitido : ");

        jTextFieldMaximoDescubierto.setEditable(false);

        jLabel11.setText("Comision fijada por descubierto : ");

        jTextFieldComisionDescubierto.setEditable(false);

        javax.swing.GroupLayout jPanelCCEmpresaLayout = new javax.swing.GroupLayout(jPanelCCEmpresa);
        jPanelCCEmpresa.setLayout(jPanelCCEmpresaLayout);
        jPanelCCEmpresaLayout.setHorizontalGroup(
            jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCCEmpresaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel11)
                    .addComponent(jLabel9)
                    .addComponent(jLabel10))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldMaximoDescubierto)
                    .addComponent(jTextFieldInteresDescubierto, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jTextFieldComisionDescubierto, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );
        jPanelCCEmpresaLayout.setVerticalGroup(
            jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCCEmpresaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel10)
                    .addComponent(jTextFieldMaximoDescubierto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldInteresDescubierto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel9))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelCCEmpresaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldComisionDescubierto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel11))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanelTiposLayout = new javax.swing.GroupLayout(jPanelTipos);
        jPanelTipos.setLayout(jPanelTiposLayout);
        jPanelTiposLayout.setHorizontalGroup(
            jPanelTiposLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelTiposLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelTiposLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanelCAhorro, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelCCPersonal, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelCCEmpresa, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanelTiposLayout.setVerticalGroup(
            jPanelTiposLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelTiposLayout.createSequentialGroup()
                .addComponent(jPanelCAhorro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelCCPersonal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelCCEmpresa, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(14, Short.MAX_VALUE))
        );

        jPanelDatosTitular.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jTextFieldSaldoInicial.setEditable(false);

        jLabel5.setText("Saldo Inicial : ");

        jLabel4.setText("F. Nacimiento :");

        jTextFieldFnacimiento.setEditable(false);

        jTextFieldDni.setEditable(false);

        jLabel3.setText("DNI :");

        jLabel2.setText("Apellidos :");

        jTextFieldApellidos.setEditable(false);

        jTextFieldNombre.setEditable(false);

        jLabel1.setText("Nombre :");

        javax.swing.GroupLayout jPanelDatosTitularLayout = new javax.swing.GroupLayout(jPanelDatosTitular);
        jPanelDatosTitular.setLayout(jPanelDatosTitularLayout);
        jPanelDatosTitularLayout.setHorizontalGroup(
            jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDatosTitularLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2)
                    .addComponent(jLabel3)
                    .addComponent(jLabel5))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jTextFieldSaldoInicial, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldFnacimiento, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldDni, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldApellidos, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldNombre, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 207, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(28, Short.MAX_VALUE))
        );
        jPanelDatosTitularLayout.setVerticalGroup(
            jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDatosTitularLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldNombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldApellidos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel3)
                    .addComponent(jTextFieldDni, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jTextFieldFnacimiento, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelDatosTitularLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldSaldoInicial, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel12.setText("N. Cuenta :");

        jLabel6.setText("Introduce el numero de cuenta a Buscar :");

        jButtonBuscarCuenta.setText("BUSCAR");
        jButtonBuscarCuenta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarCuentaActionPerformed(evt);
            }
        });

        jButtoncancelar.setText("CANCELAR");
        jButtoncancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtoncancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel6)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel12)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addComponent(jButtonBuscarCuenta)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jButtoncancelar))
                            .addComponent(jTextFieldNCuenta))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel12)
                    .addComponent(jTextFieldNCuenta, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButtoncancelar, javax.swing.GroupLayout.DEFAULT_SIZE, 38, Short.MAX_VALUE)
                    .addComponent(jButtonBuscarCuenta, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(10, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jPanel2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelDatosTitular, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelTipos, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jPanelDatosTitular, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 8, Short.MAX_VALUE)
                .addComponent(jPanelTipos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonBuscarCuentaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarCuentaActionPerformed
        try {
            buscarCuentaCorriente();            
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "No existe este numero de cuenta");
        }
    }//GEN-LAST:event_jButtonBuscarCuentaActionPerformed

    /**
     * Metodo que realiza las acciones necesarias para buscar una cuenta y mostrar todos sus datos relativos 
     */
    private void buscarCuentaCorriente() {
        showInicial();
        util = new UtilClass();
        String numeroCuenta;
        String numCuenta = jTextFieldNCuenta.getText();
        cuentaBuscada = util.getCuenta(numCuenta);
        String claseDeCuenta = cuentaBuscada.getClass().getSimpleName();
        switch (claseDeCuenta) {
            case "CuentaAhorroClass":
                cuentaAhorro = (CuentaAhorroClass) cuentaBuscada;
                numeroCuenta = cuentaAhorro.getNumeroCuenta();
                if (numeroCuenta.equalsIgnoreCase(numCuenta)) showDataCuentaAhorro(cuentaAhorro);               
            break;
            case "CuentaCorrientePersonalClass":
                ccPersonal = (CuentaCorrientePersonalClass) cuentaBuscada;
                numeroCuenta = ccPersonal.getNumeroCuenta();
                if (numeroCuenta.equalsIgnoreCase(numCuenta)) showDataCCPersonal(ccPersonal);            
            break;
            case "CuentaCorrienteEmpresaClass":
                ccEmpresa = (CuentaCorrienteEmpresaClass) cuentaBuscada;
                numeroCuenta = ccEmpresa.getNumeroCuenta();
                if (numeroCuenta.equalsIgnoreCase(numCuenta)) showDataCCEmpresa(ccEmpresa);                
            break;
            default: break;
        }
    }

    private void jButtoncancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtoncancelarActionPerformed
        //0=SI - 1=NO 
        String mensaje = "¿Realmente quieres salir?";
        int respuesta = JOptionPane.showConfirmDialog(null, mensaje, "Confirmación", JOptionPane.YES_NO_OPTION);
        if (respuesta == 0) {
            try {
                this.setClosed(true);
            } catch (PropertyVetoException ex) {
                Logger.getLogger(VistaNuevaCuenta.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }//GEN-LAST:event_jButtoncancelarActionPerformed

    /**
     * Metodo para mostras los datos de una cuenta ahorro
     *
     * @param cuentaAhorro Objeto de la clase CuentaAhorro
     */
    public void showDataCuentaAhorro(CuentaAhorroClass cuentaAhorro) {
        tipoCuentaSeleccionada = cuentaAhorro.getTipoCuenta();
        jTextFieldNombre.setText(cuentaAhorro.getTitular().getNombre());
        jTextFieldApellidos.setText(cuentaAhorro.getTitular().getApellidos());
        jTextFieldFnacimiento.setText(cuentaAhorro.getTitular().getFechaNacimiento());
        jTextFieldDni.setText(cuentaAhorro.getTitular().getDni());
        jTextFieldSaldoInicial.setText(cuentaAhorro.getSaldo().toString());
        jTextFieldTIAnual.setText(cuentaAhorro.getTipoInteresAnual().toString());
        visibleSelectionJpanel(tipoCuentaSeleccionada);
    }

    /**
     * Metodo para mostras los datos de una cuenta corriente personal
     *
     * @param CCPersonal Objeto de la clase CuentaCorrientePersonalClass
     */
    public void showDataCCPersonal(CuentaCorrientePersonalClass CCPersonal) {
        tipoCuentaSeleccionada = CCPersonal.getTipoCuenta();
        jTextFieldNombre.setText(CCPersonal.getTitular().getNombre());
        jTextFieldApellidos.setText(CCPersonal.getTitular().getApellidos());
        jTextFieldFnacimiento.setText(CCPersonal.getTitular().getFechaNacimiento());
        jTextFieldDni.setText(CCPersonal.getTitular().getDni());
        jTextFieldSaldoInicial.setText(CCPersonal.getSaldo().toString());
        jTextFieldTIMantenimiento.setText(CCPersonal.getComisionMantenimiento().toString());
        visibleSelectionJpanel(tipoCuentaSeleccionada);
    }

    /**
     * Metodo para mostras los datos de una cuenta corriente empresa
     *
     * @param CCEmpresa Objeto de la clase CuentaCorrienteEmresaClass
     */
    public void showDataCCEmpresa(CuentaCorrienteEmpresaClass CCEmpresa) {
        tipoCuentaSeleccionada = CCEmpresa.getTipoCuenta();
        jTextFieldNombre.setText(CCEmpresa.getTitular().getNombre());
        jTextFieldApellidos.setText(CCEmpresa.getTitular().getApellidos());
        jTextFieldFnacimiento.setText(CCEmpresa.getTitular().getFechaNacimiento());
        jTextFieldDni.setText(CCEmpresa.getTitular().getDni());
        jTextFieldSaldoInicial.setText(CCEmpresa.getSaldo().toString());
        jTextFieldMaximoDescubierto.setText(CCEmpresa.getMaximoDescubiertoPermitido().toString());
        jTextFieldInteresDescubierto.setText(CCEmpresa.getTipoInteresDescubierto().toString());
        jTextFieldComisionDescubierto.setText(CCEmpresa.getComisionFijaDescubierto().toString());
        visibleSelectionJpanel(tipoCuentaSeleccionada);
    }

    /**
     * Metodopara mostrar los apartados visuales segun el tipo de cuenta
     *
     * @param tipoCuentaSeleccionada String tipo de cuenta
     */
    public void visibleSelectionJpanel(String tipoCuentaSeleccionada) {
        //[355, 530] dimensiones totales de ventana
        jPanelDatosTitular.setVisible(true);
        switch (tipoCuentaSeleccionada) {
            case CUENTA_AHORRO:
                this.setSize(355, 400);
                jPanelTipos.setVisible(true);
                jPanelCAhorro.setVisible(true);
                jPanelCCPersonal.setVisible(false);
                jPanelCCEmpresa.setVisible(false);
                break;
            case CUENTA_CORRIENTE_PERSONAL:
                this.setSize(355, 400);
                jPanelTipos.setVisible(true);
                jPanelCAhorro.setVisible(false);
                jPanelCCPersonal.setVisible(true);
                jPanelCCEmpresa.setVisible(false);
                break;
            case CUENTA_CORRIENTE_EMPRESA:
                this.setSize(355, 500);
                jPanelTipos.setVisible(true);
                jPanelCAhorro.setVisible(false);
                jPanelCCPersonal.setVisible(false);
                jPanelCCEmpresa.setVisible(true);
                break;
            default:
                break;
        }

    }

    /**
     * Metodo para limpiar todos los campos jText
     */
    public void clearText() {
        jTextFieldNombre.setText("");
        jTextFieldApellidos.setText("");
        jTextFieldFnacimiento.setText("");
        jTextFieldDni.setText("");
        jTextFieldSaldoInicial.setText("");
        jTextFieldTIAnual.setText("");
        jTextFieldTIMantenimiento.setText("");
        jTextFieldMaximoDescubierto.setText("");
        jTextFieldInteresDescubierto.setText("");
        jTextFieldComisionDescubierto.setText("");
//        jTextFieldNCuenta.setText("");
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonBuscarCuenta;
    private javax.swing.JButton jButtoncancelar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanelCAhorro;
    private javax.swing.JPanel jPanelCCEmpresa;
    private javax.swing.JPanel jPanelCCPersonal;
    private javax.swing.JPanel jPanelDatosTitular;
    private javax.swing.JPanel jPanelTipos;
    private javax.swing.JTextField jTextFieldApellidos;
    private javax.swing.JTextField jTextFieldComisionDescubierto;
    private javax.swing.JTextField jTextFieldDni;
    private javax.swing.JTextField jTextFieldFnacimiento;
    private javax.swing.JTextField jTextFieldInteresDescubierto;
    private javax.swing.JTextField jTextFieldMaximoDescubierto;
    private javax.swing.JTextField jTextFieldNCuenta;
    private javax.swing.JTextField jTextFieldNombre;
    private javax.swing.JTextField jTextFieldSaldoInicial;
    private javax.swing.JTextField jTextFieldTIAnual;
    private javax.swing.JTextField jTextFieldTIMantenimiento;
    // End of variables declaration//GEN-END:variables
}
